<?php
  /**
   * Common control library 0.1 for Conjuro.
   */
  return [
    new class("html") extends Control{
      protected function renderControl($meta,$data) {
        echo $meta["html"];
      }
    },
    new class("img") extends Control{
      protected function renderControl($meta,$data) {
        echo '<img src="'.$meta["image"].'" class="'.$meta["class"].'" />';
      }
    },
    new class("builder") extends Control{
      protected function renderControl($meta,$data) {
        include "Conjuro/Builder.php";
      }
    },
  ];
?>